import request from '@/utils/request'

// 查询店铺信息列表
export function listgameBlacklist(query) {
  return request({
    url: '/system/gameBlacklist/list',
    method: 'post',
    params: query
  })
}


// 查询店铺信息详细
export function getgameBlacklist(id) {
  return request({
    url: '/system/gameBlacklist/' + id,
    method: 'get'
  })
}

// 新增店铺信息
export function addgameBlacklist(data) {
  return request({
    url: '/system/gameBlacklist',
    method: 'post',
    data: data
  })
}

// 修改店铺信息
export function updategameBlacklist(data) {
  return request({
    url: '/system/gameBlacklist',
    method: 'put',
    data: data
  })
}

// 删除店铺信息
export function delgameBlacklist(id) {
  return request({
    url: '/system/gameBlacklist/' + id,
    method: 'delete'
  })
}
// 查询商品信息列表
export function getInitGoodsManager(query) {
  return request({
    url: '/system/AppWebManagerGoodsController/getInitGoodsManager',
    method: 'get',
    params: query
  })
}
